Subject: Re: bug#15773: grep-2.15 bug report

From: Stefano Lattarini <[email-masked]>
Date: Sat, 02 Nov 2013 16:56:28 +0000

On 11/02/2013 03:20 PM, Jim Meyering wrote:> On Fri, Nov 1, 2013 at 8:55 AM, Stefano Lattarini
> <[email-masked]> wrote:
>> This probably calls for a two patch series: the first introducing the test
>> as
>> an XFAIL, the second fixing the bug without touching the tests, and
>> verifying
>> that the test succeeds.
>
> That seems like overkill, and unnecessary churn in git.  Usually, once I
> have a complete(including test case) and committed-but-not-pushed patch ,
> I either arrange to run the test against the previous binary by replacing
> src/grep with the grep from my path, or (probably better) temporarily
> backing out the fix, e.g., with "git log -1 -p src/dfa.c|patch -R -p1"
> and ensuring that "make check" fails.
>
This nit I pointed out was admittedly minor, and in large part a matter
of personal preferences, so I have no problem with you disagreeing and
ignoring it.

>> Maybe you could even amend the test to run with all of the default locale,
>> the
>> en_US.UTF-8 locale, and the C locale.  Possibly overly paranoid, but the
>> enhancement would be trivial, so why not get the extra coverage anyway?
>
> That seems worthwhile.
> The default locale is set via tests/Makefile.am to LC_ALL=C, so I have
> done this:
>
> [SNIP]
>
> Subject: [PATCH] maint.mk: fix "release" target to build _version
>
> [SNIP]

I think you attached the wrong patch ;-)

Regards,
  Stefano